Subject: Re: [bug#36738] [PATCH] guix deploy: Support '--no-grafts' and '--system'

From: [email-masked] (Jakob L. Kreuze)
Date: Mon, 22 Jul 2019 18:46:06 -0400

[email-masked] (Jakob L. Kreuze) writes:

> Great idea. I think that continuing to call the machine's
> <operating-system> 'system' would be confusing if we introduced the
> notion of a target architecture, because we use "system" to refer to
> the target architecture in the rest of Guix's command-line tools.
> Maybe it would make sense to rename the <operating-system> field to
> 'os' or something similar, and use the 'system' field to specify the
> target architecture instead? Any thoughs?

Actually, I had a thought. Why should we make this explicit, when we
could take an implicit approach and identify the target's architecture
with 'remote-eval'? Ideally, we'll be probing the machines anyway to
implement safety checks on the <operating-system> declaration, so why
not just add this to our list of pre-deployment tests?

Regards,
Jakob